/***********************************************************************************************************************
 * @package		Learning
 * @author		Zahirul Hasan<info@zbabu.com>
 * @copyright	Copyright (c) 2011 - 2019 @ Zahirul Hasan (http://zbabu.com) All rights reserved.
 * @license		http://zbabu.com/license-agreement
 **********************************************************************************************************************/

// Contextual backgrounds

#bg-variant(@parent, @color) {
	@{parent} {
		background-color: @color !important;
	}
	a@{parent},
	button@{parent} {
		#hover-focus({
			background-color: darken(@color, 10%) !important;
		});
	}
}

#bg-gradient-variant(@parent, @color) {
	@{parent} {
		background: @color linear-gradient(180deg, mix(@body-bg, @color, 15%), @color) repeat-x !important;
	}
}
